메인 콘텐츠로 건너뛰기

Documentation Index

Fetch the complete documentation index at: https://generaltranslation.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Trends by WOEID 엔드포인트는 Yahoo! Where On Earth ID(WOEID)로 식별되는 특정 지역의 트렌드 토픽을 반환합니다.

개요

위치별

지원되는 모든 위치의 트렌드

전 세계 범위

국가, 도시, 지역

실시간

현재 트렌드 주제

엔드포인트

MethodEndpointDescription
GET/2/trends/by/woeid/:idWOEID에 대한 트렌드를 조회합니다

자주 사용되는 WOEID

위치WOEID
전 세계1
미국23424977
영국23424975
일본23424856
뉴욕2459115
로스앤젤레스2442047
런던44418
도쿄1118370

요청 예시

curl "https://api.x.com/2/trends/by/woeid/1" \
  -H "Authorization: Bearer $BEARER_TOKEN"

예시 응답

{
  "data": [
    {
      "trend_name": "#AI",
      "tweet_count": 250000
    },
    {
      "trend_name": "Breaking News",
      "tweet_count": 180000
    }
  ]
}

시작하기

사전 준비 사항

개인화된 트렌드

인증된 사용자의 트렌드를 가져올 수 있습니다

API 참조 문서

엔드포인트 전체 문서